# FairMQ: fair::mq::shmem::Message Class Reference

fair::mq::shmem::Message Class Referencefinal
Inheritance diagram for fair::mq::shmem::Message:
[legend]
Collaboration diagram for fair::mq::shmem::Message:
[legend]

## Public Member Functions

| Message (Manager &manager, FairMQTransportFactory *factory=nullptr)
| Message (Manager &manager, const size_t size, FairMQTransportFactory *factory=nullptr)
| Message (Manager &manager, void *data, const size_t size, fairmq_free_fn *ffn, void *hint=nullptr, FairMQTransportFactory *factory=nullptr)
| Message (Manager &manager, UnmanagedRegionPtr &region, void *data, const size_t size, void *hint=0, FairMQTransportFactory *factory=nullptr)
| Message (Manager &manager, MetaHeader &hdr, FairMQTransportFactory *factory=nullptr)
| Message (const Message &)=delete
Message | operator= (const Message &)=delete
void | Rebuild () override
void | Rebuild (const size_t size) override
void | Rebuild (void *data, const size_t size, fairmq_free_fn *ffn, void *hint=nullptr) override
void * | GetData () const override
size_t | GetSize () const override
bool | SetUsedSize (const size_t size) override
Transport | GetType () const override
void | Copy (const fair::mq::Message &msg) override
Public Member Functions inherited from FairMQMessage
| FairMQMessage (FairMQTransportFactory *factory)
FairMQTransportFactory * | GetTransport ()

## Friends

class | Socket

The documentation for this class was generated from the following files:

- fairmq/shmem/Message.h
- fairmq/shmem/Message.cxx

privacy